Ship: Buenaventura (BNVTR)
Type: Multipurpose Interterrestrial
Make: SKY-WeI
Model: Spacebus Deluxe II
Credentials: IGSS-SRR297ar74.25
Dispatch: Intergalactic Space Station SIERRA
Location: Shaskall Nebula
Crew:
      Operator: Phthalo Pureume
                Heritage: Gaian

       Onboard: "Serpentine"
                Type: Integrated/Embedded
                Cycles: 400+
